diff --git a/src/main/java/net/minecraft/core/item/ArmorItem.java b/src/main/java/net/minecraft/core/item/ItemArmor.java
similarity index 81%
rename from src/main/java/net/minecraft/core/item/ArmorItem.java
rename to src/main/java/net/minecraft/core/item/ItemArmor.java
index 7f86ad5b6..d7305ec5a 100644
--- a/src/main/java/net/minecraft/core/item/ArmorItem.java
+++ b/src/main/java/net/minecraft/core/item/ItemArmor.java
@@ -2,10 +2,10 @@ package net.minecraft.core.item;
 
 import net.minecraft.core.item.material.ArmorMaterial;
 
-public class ArmorItem extends Item implements IArmorItem {
+public class ItemArmor extends Item implements IArmorItem {
 	private final ArmorMaterial material;
 	private final int armorPiece;
-	public ArmorItem(String name, String namespaceId, int id, ArmorMaterial material, int armorPiece) {
+	public ItemArmor(String name, String namespaceId, int id, ArmorMaterial material, int armorPiece) {
 		super(name, namespaceId, id);
 		this.material = material;
 		this.armorPiece = armorPiece;
diff --git a/src/main/java/net/minecraft/core/item/BedItem.java b/src/main/java/net/minecraft/core/item/ItemBed.java
similarity index 89%
rename from src/main/java/net/minecraft/core/item/BedItem.java
rename to src/main/java/net/minecraft/core/item/ItemBed.java
index 910657533..96e074e6e 100644
--- a/src/main/java/net/minecraft/core/item/BedItem.java
+++ b/src/main/java/net/minecraft/core/item/ItemBed.java
@@ -1,10 +1,10 @@
 package net.minecraft.core.item;
 
-import net.minecraft.core.block.BedBlock;
+import net.minecraft.core.block.BlockBed;
 import net.minecraft.core.block.Blocks;
 
 // Referenced classes of package net.minecraft.src:
-//            Item, Block, BedBlock, Player,
+//            Item, Block, BlockBed, Player,
 //            MathHelper, World, ItemStack
 
 import net.minecraft.core.entity.player.Player;
@@ -12,10 +12,10 @@ import net.minecraft.core.enums.EnumBlockSoundEffectType;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.World;
 
-public class BedItem extends Item
+public class ItemBed extends Item
 {
 
-    public BedItem(String name, String namespaceId, int id)
+    public ItemBed(String name, String namespaceId, int id)
     {
         super(name, namespaceId, id);
     }
@@ -28,7 +28,7 @@ public class BedItem extends Item
     		blockY += side.getOffsetY();
     		blockZ += side.getOffsetZ();
     	}
-        BedBlock blockbed = (BedBlock) Blocks.BED;
+        BlockBed blockbed = (BlockBed) Blocks.BED;
         int i1 = entityplayer.getHorizontalPlacementDirection(null).getOpposite().getHorizontalIndex();
         byte byte0 = 0;
         byte byte1 = 0;
diff --git a/src/main/java/net/minecraft/core/item/BoatItem.java b/src/main/java/net/minecraft/core/item/ItemBoat.java
similarity index 88%
rename from src/main/java/net/minecraft/core/item/BoatItem.java
rename to src/main/java/net/minecraft/core/item/ItemBoat.java
index a90562476..3e07eeeb2 100644
--- a/src/main/java/net/minecraft/core/item/BoatItem.java
+++ b/src/main/java/net/minecraft/core/item/ItemBoat.java
@@ -6,7 +6,7 @@ package net.minecraft.core.item;
 //            World, MovingObjectPosition, EnumMovingObjectType, Block, 
 //            BoatEntity, ItemStack
 
-import net.minecraft.core.block.entity.ActivatorBlockEntity;
+import net.minecraft.core.block.entity.TileEntityActivator;
 import net.minecraft.core.entity.vehicle.BoatEntity;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.block.Blocks;
@@ -18,10 +18,10 @@ import net.minecraft.core.world.World;
 
 import java.util.Random;
 
-public class BoatItem extends Item
+public class ItemBoat extends Item
 {
 
-    public BoatItem(String name, String namespaceId, int id)
+    public ItemBoat(String name, String namespaceId, int id)
     {
         super(name, namespaceId, id);
         maxStackSize = 1;
@@ -71,7 +71,7 @@ public class BoatItem extends Item
     }
 
     @Override
-    public void onUseByActivator(ItemStack itemStack, ActivatorBlockEntity activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
+    public void onUseByActivator(ItemStack itemStack, TileEntityActivator activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
         double x = blockX + offX + direction.getOffsetX();
         double y = blockY + offY + direction.getOffsetY();
         double z = blockZ + offZ + direction.getOffsetZ();
diff --git a/src/main/java/net/minecraft/core/item/BowItem.java b/src/main/java/net/minecraft/core/item/ItemBow.java
similarity index 77%
rename from src/main/java/net/minecraft/core/item/BowItem.java
rename to src/main/java/net/minecraft/core/item/ItemBow.java
index 317f63c33..426616de3 100644
--- a/src/main/java/net/minecraft/core/item/BowItem.java
+++ b/src/main/java/net/minecraft/core/item/ItemBow.java
@@ -3,18 +3,18 @@ package net.minecraft.core.item;
 
 // Referenced classes of package net.minecraft.src:
 //            Item, Player, InventoryPlayer, World,
-//            ArrowProjectile, ItemStack
+//            ProjectileArrow, ItemStack
 
-import net.minecraft.core.entity.projectile.ArrowProjectile;
-import net.minecraft.core.entity.projectile.GoldenArrowProjectile;
-import net.minecraft.core.entity.projectile.PurpleArrowProjectile;
+import net.minecraft.core.entity.projectile.ProjectileArrow;
+import net.minecraft.core.entity.projectile.ProjectileArrowGolden;
+import net.minecraft.core.entity.projectile.ProjectileArrowPurple;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.world.World;
 
-public class BowItem extends Item
+public class ItemBow extends Item
 {
 
-    public BowItem(String name, String namespaceId, int id)
+    public ItemBow(String name, String namespaceId, int id)
     {
         super(name, namespaceId, id);
         maxStackSize = 1;
@@ -30,14 +30,14 @@ public class BowItem extends Item
             itemstack.damageItem(1, entityplayer);
             world.playSoundAtEntity(entityplayer, entityplayer, "random.bow", 0.3f, 1.0F / (itemRand.nextFloat() * 0.4F + 0.8F));
             if (!world.isClientSide) {
-                world.entityJoinedWorld(new ArrowProjectile(world, entityplayer, true, 0));
+                world.entityJoinedWorld(new ProjectileArrow(world, entityplayer, true, 0));
             }
         }
         else if(quiverSlot != null && quiverSlot.itemID == Items.ARMOR_QUIVER_GOLD.id){
             itemstack.damageItem(1, entityplayer);
             world.playSoundAtEntity(entityplayer, entityplayer, "random.bow", 0.3f, 1.0F / (itemRand.nextFloat() * 0.4F + 0.8F));
             if (!world.isClientSide) {
-                world.entityJoinedWorld(new PurpleArrowProjectile(world, entityplayer, false));
+                world.entityJoinedWorld(new ProjectileArrowPurple(world, entityplayer, false));
             }
         }
         else if (entityplayer.inventory.consumeInventoryItem(Items.AMMO_ARROW_GOLD.id))
@@ -46,7 +46,7 @@ public class BowItem extends Item
             world.playSoundAtEntity(entityplayer, entityplayer, "random.bow", 0.3f, 1.0F / (itemRand.nextFloat() * 0.4F + 0.8F));
             if(!world.isClientSide)
             {
-                world.entityJoinedWorld(new GoldenArrowProjectile(world, entityplayer, true));
+                world.entityJoinedWorld(new ProjectileArrowGolden(world, entityplayer, true));
             }
         }
         else if(entityplayer.inventory.consumeInventoryItem(Items.AMMO_ARROW.id))
@@ -55,7 +55,7 @@ public class BowItem extends Item
             world.playSoundAtEntity(entityplayer, entityplayer, "random.bow", 0.3f, 1.0F / (itemRand.nextFloat() * 0.4F + 0.8F));
             if(!world.isClientSide)
             {
-                world.entityJoinedWorld(new ArrowProjectile(world, entityplayer, true, 0));
+                world.entityJoinedWorld(new ProjectileArrow(world, entityplayer, true, 0));
             }
         }
         return itemstack;
diff --git a/src/main/java/net/minecraft/core/item/BucketItem.java b/src/main/java/net/minecraft/core/item/ItemBucket.java
similarity index 85%
rename from src/main/java/net/minecraft/core/item/BucketItem.java
rename to src/main/java/net/minecraft/core/item/ItemBucket.java
index 5f9259cba..41df2a94a 100644
--- a/src/main/java/net/minecraft/core/item/BucketItem.java
+++ b/src/main/java/net/minecraft/core/item/ItemBucket.java
@@ -3,9 +3,9 @@ package net.minecraft.core.item;
 // Referenced classes of package net.minecraft.src:
 //            Item, Player, Vec3D, MathHelper,
 //            World, MovingObjectPosition, EnumMovingObjectType, Material, 
-//            ItemStack, WorldProvider, Block, CowMob
+//            ItemStack, WorldProvider, Block, MobCow
 
-import net.minecraft.core.block.entity.ActivatorBlockEntity;
+import net.minecraft.core.block.entity.TileEntityActivator;
 import net.minecraft.core.util.helper.Direction;
 import net.minecraft.core.util.phys.HitResult;
 import net.minecraft.core.block.Block;
@@ -14,19 +14,16 @@ import net.minecraft.core.block.tag.BlockTags;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.sound.SoundCategory;
-import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.util.helper.Side;
-import net.minecraft.core.util.phys.Vec3;
 import net.minecraft.core.world.Dimension;
 import net.minecraft.core.world.World;
-import net.minecraft.server.entity.player.ServerPlayer;
 
 import java.util.Random;
 
-public class BucketItem extends Item
+public class ItemBucket extends Item
 {
 	private final int idToPlace;
-    public BucketItem(String name, String namespaceId, int id, Block blockToPlace)
+    public ItemBucket(String name, String namespaceId, int id, Block blockToPlace)
     {
         super(name, namespaceId, id);
         maxStackSize = 1;
@@ -100,7 +97,7 @@ public class BucketItem extends Item
 	}
 
 	@Override
-	public void onUseByActivator(ItemStack itemStack, ActivatorBlockEntity activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
+	public void onUseByActivator(ItemStack itemStack, TileEntityActivator activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
 		if (idToPlace < 0) {
 			itemStack.itemID = Items.BUCKET.id;
 			return;
diff --git a/src/main/java/net/minecraft/core/item/EmptyBucketItem.java b/src/main/java/net/minecraft/core/item/ItemBucketEmpty.java
similarity index 84%
rename from src/main/java/net/minecraft/core/item/EmptyBucketItem.java
rename to src/main/java/net/minecraft/core/item/ItemBucketEmpty.java
index 9c089e522..4137912be 100644
--- a/src/main/java/net/minecraft/core/item/EmptyBucketItem.java
+++ b/src/main/java/net/minecraft/core/item/ItemBucketEmpty.java
@@ -3,13 +3,11 @@ package net.minecraft.core.item;
 // Referenced classes of package net.minecraft.src:
 //            Item, Player, Vec3D, MathHelper,
 //            World, MovingObjectPosition, EnumMovingObjectType, Material,
-//            ItemStack, WorldProvider, Block, CowMob
+//            ItemStack, WorldProvider, Block, MobCow
 
-import net.minecraft.core.block.Block;
-import net.minecraft.core.block.entity.ActivatorBlockEntity;
+import net.minecraft.core.block.entity.TileEntityActivator;
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.entity.animal.CowMob;
-import net.minecraft.core.entity.animal.SheepMob;
+import net.minecraft.core.entity.animal.MobCow;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.util.helper.Direction;
 import net.minecraft.core.util.phys.AABB;
@@ -20,10 +18,10 @@ import net.minecraft.core.block.material.Material;
 import java.util.List;
 import java.util.Random;
 
-public class EmptyBucketItem extends Item
+public class ItemBucketEmpty extends Item
 {
 
-    public EmptyBucketItem(String name, String namespaceId, int id)
+    public ItemBucketEmpty(String name, String namespaceId, int id)
     {
         super(name, namespaceId, id);
         maxStackSize = 64;
@@ -68,7 +66,7 @@ public class EmptyBucketItem extends Item
     }
 
     @Override
-    public void onUseByActivator(ItemStack itemStack, ActivatorBlockEntity activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
+    public void onUseByActivator(ItemStack itemStack, TileEntityActivator activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
         if (itemStack.stackSize > 1) { // TODO figure out wtf to do for stacked buckets for this
             return;
         }
@@ -89,7 +87,7 @@ public class EmptyBucketItem extends Item
         }
 
         AABB box = AABB.getTemporaryBB(x, y, z, x + 1, y + 1, z + 1);
-        List<Entity> entities = world.getEntitiesWithinAABB(CowMob.class, box);
+        List<Entity> entities = world.getEntitiesWithinAABB(MobCow.class, box);
         if (!entities.isEmpty()) {
             itemStack.itemID = Items.BUCKET_MILK.id;
             return;
diff --git a/src/main/java/net/minecraft/core/item/IceCreamBucketItem.java b/src/main/java/net/minecraft/core/item/ItemBucketIceCream.java
similarity index 84%
rename from src/main/java/net/minecraft/core/item/IceCreamBucketItem.java
rename to src/main/java/net/minecraft/core/item/ItemBucketIceCream.java
index 5bf631975..c4bfbf4a7 100644
--- a/src/main/java/net/minecraft/core/item/IceCreamBucketItem.java
+++ b/src/main/java/net/minecraft/core/item/ItemBucketIceCream.java
@@ -3,9 +3,9 @@ package net.minecraft.core.item;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.world.World;
 
-public class IceCreamBucketItem extends FoodItem {
+public class ItemBucketIceCream extends ItemFood {
 
-    public IceCreamBucketItem(String name, String namespaceId, int id, int healAmount, int ticksPerHeal)
+    public ItemBucketIceCream(String name, String namespaceId, int id, int healAmount, int ticksPerHeal)
     {
         super(name, namespaceId, id, healAmount, ticksPerHeal, false, 1);
         maxStackSize = 1;
diff --git a/src/main/java/net/minecraft/core/item/CoalItem.java b/src/main/java/net/minecraft/core/item/ItemCoal.java
similarity index 82%
rename from src/main/java/net/minecraft/core/item/CoalItem.java
rename to src/main/java/net/minecraft/core/item/ItemCoal.java
index 02a9136fe..0552046d0 100644
--- a/src/main/java/net/minecraft/core/item/CoalItem.java
+++ b/src/main/java/net/minecraft/core/item/ItemCoal.java
@@ -4,10 +4,10 @@ package net.minecraft.core.item;
 // Referenced classes of package net.minecraft.src:
 //            Item, ItemStack
 
-public class CoalItem extends Item
+public class ItemCoal extends Item
 {
 
-    public CoalItem(String name, String namespaceId, int id)
+    public ItemCoal(String name, String namespaceId, int id)
     {
         super(name, namespaceId, id);
         setHasSubtypes(true);
diff --git a/src/main/java/net/minecraft/core/item/MusicDiscItem.java b/src/main/java/net/minecraft/core/item/ItemDiscMusic.java
similarity index 72%
rename from src/main/java/net/minecraft/core/item/MusicDiscItem.java
rename to src/main/java/net/minecraft/core/item/ItemDiscMusic.java
index 16588bba0..2b8ae53dc 100644
--- a/src/main/java/net/minecraft/core/item/MusicDiscItem.java
+++ b/src/main/java/net/minecraft/core/item/ItemDiscMusic.java
@@ -2,13 +2,11 @@ package net.minecraft.core.item;
 
 
 // Referenced classes of package net.minecraft.src:
-//            Item, World, Block, JukeboxBlock,
+//            Item, World, Block, BlockJukebox,
 //            ItemStack, Player
 
-import net.minecraft.core.block.Block;
-import net.minecraft.core.block.JukeboxBlock;
-import net.minecraft.core.block.entity.ActivatorBlockEntity;
-import net.minecraft.core.block.tag.BlockTags;
+import net.minecraft.core.block.BlockJukebox;
+import net.minecraft.core.block.entity.TileEntityActivator;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.util.helper.Direction;
 import net.minecraft.core.util.helper.Side;
@@ -18,13 +16,13 @@ import net.minecraft.core.world.World;
 
 import java.util.Random;
 
-public class MusicDiscItem extends Item
+public class ItemDiscMusic extends Item
 {
     public final String recordName;
     public final String recordAuthor;
 
 
-    public MusicDiscItem(String name, String namespaceId, int id, String recordName, String recordAuthor)
+    public ItemDiscMusic(String name, String namespaceId, int id, String recordName, String recordAuthor)
     {
         super(name, namespaceId, id);
         this.recordName = recordName;
@@ -38,7 +36,7 @@ public class MusicDiscItem extends Item
         if(world.getBlockId(blockX, blockY, blockZ) == Blocks.JUKEBOX.id && world.getBlockMetadata(blockX, blockY, blockZ) == 0)
         {
             if (!world.isClientSide) {
-                ((JukeboxBlock) Blocks.JUKEBOX).playRecord(world, blockX, blockY, blockZ, id);
+                ((BlockJukebox) Blocks.JUKEBOX).playRecord(world, blockX, blockY, blockZ, id);
                 world.playBlockEvent(null, LevelListener.EVENT_JUKEBOX_TOGGLE, blockX, blockY, blockZ, id);
                 itemstack.consumeItem(entityplayer);
             }
@@ -50,13 +48,13 @@ public class MusicDiscItem extends Item
     }
 
     @Override
-    public void onUseByActivator(ItemStack itemStack, ActivatorBlockEntity activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
+    public void onUseByActivator(ItemStack itemStack, TileEntityActivator activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
         int x = blockX + direction.getOffsetX();
         int y = blockY + direction.getOffsetY();
         int z = blockZ + direction.getOffsetZ();
         int b = world.getBlockId(x, y, z);
         if (b == Blocks.JUKEBOX.id && world.getBlockMetadata(x, y, z) == 0) {
-            ((JukeboxBlock) Blocks.JUKEBOX).playRecord(world, x, y, z, id);
+            ((BlockJukebox) Blocks.JUKEBOX).playRecord(world, x, y, z, id);
             world.playBlockEvent(null, LevelListener.EVENT_JUKEBOX_TOGGLE, blockX, blockY, blockZ, id);
             itemStack.consumeItem(null);
         }
diff --git a/src/main/java/net/minecraft/core/item/DoorItem.java b/src/main/java/net/minecraft/core/item/ItemDoor.java
similarity index 92%
rename from src/main/java/net/minecraft/core/item/DoorItem.java
rename to src/main/java/net/minecraft/core/item/ItemDoor.java
index 0bddb3b68..e8e8f2ade 100644
--- a/src/main/java/net/minecraft/core/item/DoorItem.java
+++ b/src/main/java/net/minecraft/core/item/ItemDoor.java
@@ -1,8 +1,7 @@
 package net.minecraft.core.item;
 
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.entity.ActivatorBlockEntity;
-import net.minecraft.core.block.material.Material;
+import net.minecraft.core.block.entity.TileEntityActivator;
 
 // Referenced classes of package net.minecraft.src:
 //            Item, Material, Block, Player,
@@ -16,11 +15,11 @@ import net.minecraft.core.world.World;
 
 import java.util.Random;
 
-public class DoorItem extends Item {
+public class ItemDoor extends Item {
 	protected final Block doorBlockBottom;
 	protected final Block doorBlockTop;
 
-	public DoorItem(String name, String namespaceId, int id, Block doorBlockBottom, Block doorBlockTop) {
+	public ItemDoor(String name, String namespaceId, int id, Block doorBlockBottom, Block doorBlockTop) {
 		super(name, namespaceId, id);
 		maxStackSize = 64;
         this.doorBlockBottom = doorBlockBottom;
@@ -75,7 +74,7 @@ public class DoorItem extends Item {
 	}
 
 	@Override
-	public void onUseByActivator(ItemStack itemStack, ActivatorBlockEntity activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
+	public void onUseByActivator(ItemStack itemStack, TileEntityActivator activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
 		if(!world.canPlaceInsideBlock(blockX, blockY, blockZ)) {
 			blockX += direction.getOffsetX();
 			blockY += direction.getOffsetY();
diff --git a/src/main/java/net/minecraft/core/item/PaintedDoorItem.java b/src/main/java/net/minecraft/core/item/ItemDoorPainted.java
similarity index 96%
rename from src/main/java/net/minecraft/core/item/PaintedDoorItem.java
rename to src/main/java/net/minecraft/core/item/ItemDoorPainted.java
index ae0a7e395..79afeb75b 100644
--- a/src/main/java/net/minecraft/core/item/PaintedDoorItem.java
+++ b/src/main/java/net/minecraft/core/item/ItemDoorPainted.java
@@ -8,8 +8,8 @@ import net.minecraft.core.util.helper.DyeColor;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.World;
 
-public class PaintedDoorItem extends DoorItem {
-    public PaintedDoorItem(String name, String namespaceId, int id, Block doorBottom, Block doorTopId) {
+public class ItemDoorPainted extends ItemDoor {
+    public ItemDoorPainted(String name, String namespaceId, int id, Block doorBottom, Block doorTopId) {
         super(name, namespaceId, id, doorBottom, doorTopId);
     }
     @Override
diff --git a/src/main/java/net/minecraft/core/item/DyeItem.java b/src/main/java/net/minecraft/core/item/ItemDye.java
similarity index 90%
rename from src/main/java/net/minecraft/core/item/DyeItem.java
rename to src/main/java/net/minecraft/core/item/ItemDye.java
index 7dcca1e28..e132b95b4 100644
--- a/src/main/java/net/minecraft/core/item/DyeItem.java
+++ b/src/main/java/net/minecraft/core/item/ItemDye.java
@@ -3,11 +3,11 @@ package net.minecraft.core.item;
 
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
-import net.minecraft.core.block.entity.ActivatorBlockEntity;
-import net.minecraft.core.block.entity.SignBlockEntity;
+import net.minecraft.core.block.entity.TileEntityActivator;
+import net.minecraft.core.block.entity.TileEntitySign;
 import net.minecraft.core.block.tag.BlockTags;
 import net.minecraft.core.entity.Mob;
-import net.minecraft.core.entity.animal.SheepMob;
+import net.minecraft.core.entity.animal.MobSheep;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.net.command.TextFormatting;
 import net.minecraft.core.util.helper.Direction;
@@ -21,10 +21,10 @@ import org.jetbrains.annotations.Nullable;
 
 import java.util.Random;
 
-public class DyeItem extends Item
+public class ItemDye extends Item
 {
 
-    public DyeItem(String name, String namespaceId, int id)
+    public ItemDye(String name, String namespaceId, int id)
     {
         super(name, namespaceId, id);
         setHasSubtypes(true);
@@ -42,7 +42,7 @@ public class DyeItem extends Item
     {
         if (world.getBlockId(blockX, blockY, blockZ) == Blocks.SIGN_POST_PLANKS_OAK.id || world.getBlockId(blockX, blockY, blockZ) == Blocks.SIGN_WALL_PLANKS_OAK.id)
         {
-            SignBlockEntity sign = (SignBlockEntity) world.getBlockEntity(blockX, blockY, blockZ);
+            TileEntitySign sign = (TileEntitySign) world.getBlockEntity(blockX, blockY, blockZ);
             if ((DyeColor.WHITE.itemMeta - itemstack.getMetadata()) != sign.getColor().id)
             {
                 sign.setColor(TextFormatting.get(DyeColor.WHITE.itemMeta - itemstack.getMetadata()));
@@ -160,20 +160,20 @@ label0:
     }
 
     @Override
-    public void onUseByActivator(ItemStack itemStack, ActivatorBlockEntity activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
+    public void onUseByActivator(ItemStack itemStack, TileEntityActivator activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
         onUseItemOnBlock(itemStack, null, world, blockX + direction.getOffsetX(), blockY + direction.getOffsetY(), blockZ + direction.getOffsetZ(), direction.getSide(), 0.5, 0.5);
     }
 
     @Override
     public boolean useItemOnEntity(ItemStack itemstack, Mob mob, Player entityPlayer)
     {
-        if(mob instanceof SheepMob)
+        if(mob instanceof MobSheep)
         {
-            SheepMob sheepMob = (SheepMob)mob;
+            MobSheep mobSheep = (MobSheep)mob;
             DyeColor woolColor = DyeColor.colorFromItemMeta(itemstack.getMetadata());
-            if(sheepMob.getFleeceColor() != woolColor && itemstack.consumeItem(entityPlayer))
+            if(mobSheep.getFleeceColor() != woolColor && itemstack.consumeItem(entityPlayer))
             {
-                sheepMob.setFleeceColor(woolColor);
+                mobSheep.setFleeceColor(woolColor);
                 return true;
             }
         }
diff --git a/src/main/java/net/minecraft/core/item/EggItem.java b/src/main/java/net/minecraft/core/item/ItemEgg.java
similarity index 56%
rename from src/main/java/net/minecraft/core/item/EggItem.java
rename to src/main/java/net/minecraft/core/item/ItemEgg.java
index 279118092..f7be14b2c 100644
--- a/src/main/java/net/minecraft/core/item/EggItem.java
+++ b/src/main/java/net/minecraft/core/item/ItemEgg.java
@@ -1,22 +1,22 @@
 package net.minecraft.core.item;
 
 // Referenced classes of package net.minecraft.src:
-//            Item, ItemStack, World, EggProjectile,
+//            Item, ItemStack, World, ProjectileEgg,
 //            Player
 
-import net.minecraft.core.block.entity.ActivatorBlockEntity;
-import net.minecraft.core.entity.projectile.EggProjectile;
+import net.minecraft.core.block.entity.TileEntityActivator;
+import net.minecraft.core.entity.projectile.ProjectileEgg;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.util.helper.Direction;
 import net.minecraft.core.world.World;
 
 import java.util.Random;
 
-public class EggItem
+public class ItemEgg
     extends Item implements IDispensable
 {
 
-    public EggItem(String name, String namespaceId, int id)
+    public ItemEgg(String name, String namespaceId, int id)
     {
         super(name, namespaceId, id);
         maxStackSize = 16;
@@ -29,23 +29,23 @@ public class EggItem
         world.playSoundAtEntity(entityplayer, entityplayer, "random.bow", 0.5F, 0.4F / (itemRand.nextFloat() * 0.4F + 0.8F));
         if(!world.isClientSide)
         {
-            world.entityJoinedWorld(new EggProjectile(world, entityplayer));
+            world.entityJoinedWorld(new ProjectileEgg(world, entityplayer));
         }
         return itemstack;
     }
 
     @Override
-    public void onUseByActivator(ItemStack itemStack, ActivatorBlockEntity activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
-        EggProjectile eggProjectile = new EggProjectile(world, blockX + offX, blockY + offY, blockZ + offZ);
-        eggProjectile.setHeading(direction.getOffsetX() * 0.6, direction.getOffsetY() == 0 ? 0.1 : direction.getOffsetY() * 0.6, direction.getOffsetZ() * 0.6f, 1.1F, 6F);
-        world.entityJoinedWorld(eggProjectile);
+    public void onUseByActivator(ItemStack itemStack, TileEntityActivator activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
+        ProjectileEgg projectileEgg = new ProjectileEgg(world, blockX + offX, blockY + offY, blockZ + offZ);
+        projectileEgg.setHeading(direction.getOffsetX() * 0.6, direction.getOffsetY() == 0 ? 0.1 : direction.getOffsetY() * 0.6, direction.getOffsetZ() * 0.6f, 1.1F, 6F);
+        world.entityJoinedWorld(projectileEgg);
         itemStack.stackSize -= 1;
     }
 
     @Override
     public void onDispensed(ItemStack itemStack, World world, double x, double y, double z, int xOffset, int yOffset, int zOffset, Random random) {
-        EggProjectile eggProjectile = new EggProjectile(world, x, y, z);
-        eggProjectile.setHeading(xOffset, yOffset + 0.1D, zOffset, 1.1F, 6F);
-        world.entityJoinedWorld(eggProjectile);
+        ProjectileEgg projectileEgg = new ProjectileEgg(world, x, y, z);
+        projectileEgg.setHeading(xOffset, yOffset + 0.1D, zOffset, 1.1F, 6F);
+        world.entityJoinedWorld(projectileEgg);
     }
 }
